Keras

Last updated 11 months ago

‚ÄčKeras is a popular deep learning library. To use Keras on Clusterone, the library needs to run on top of TensorFlow. Select a TensorFlow-based Docker image when creating your job and install Keras as a Python module. Do not install TensorFlow through a package manager, as this can lead to errors.

Specify Keras as a dependency in the requirements.txt (if using pip) or requirements.yml (if using anaconda).

In the requirements.txt for pip:

Keras==2.0.9

In the requirements.yml for anaconda:

name: clusterone
dependencies:
- Keras

While Keras is supposed to work with any TensorFlow version, there have been reports of errors when running Keras on top of some TensorFlow releases. If your job fails when running Keras, try to switch to a different version of TensorFlow.